summarylogtreecommitdiffstats
path: root/.SRCINFO
blob: 932ccfd89a49eae06ae98c7558aa48f9ab9c51c6 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
pkgbase = postgresql-src
	pkgver = 10.1
	pkgrel = 6
	url = http://www.postgresql.org/
	arch = aarch64
	arch = i686
	arch = x86_64
	license = custom:PostgreSQL
	makedepends = python
	makedepends = perl
	makedepends = openssl>=1.0.0
	source = http://ftp.postgresql.org/pub/source/v10.1/postgresql-10.1.tar.bz2
	source = postgresql-run-socket.patch
	source = postgresql.pam
	source = postgresql.logrotate
	source = postgresql.service
	source = postgresql-check-db-dir
	md5sums = 0a92328d9970bfb85dcecd011817238a
	md5sums = 75c579eed03ffb2312631f0b649175b4
	md5sums = 96f82c38f3f540b53f3e5144900acf17
	md5sums = d28e443f9f65a5712c52018b84e27137
	md5sums = 5a7933453a572bbe12320b088272ee71
	md5sums = f763a2cf07c08df2ee074a9f7e286da5
	sha256sums = 3ccb4e25fe7a7ea6308dea103cac202963e6b746697366d72ec2900449a5e713
	sha256sums = 8538619cb8bea51078b605ad64fe22abd6050373c7ae3ad6595178da52f6a7d9
	sha256sums = 57dfd072fd7ef0018c6b0a798367aac1abb5979060ff3f9df22d1048bb71c0d5
	sha256sums = 6abb842764bbed74ea4a269d24f1e73d1c0b1d8ecd6e2e6fb5fb10590298605e
	sha256sums = b48fe97f8e43ed0d2041d519119a4dafb70fcae72870951bf4fb7350fe169ac8
	sha256sums = 5e551630ee443a6985551da2ab72789f669deba8bf4443465d5c76a064dc675d

pkgname = postgresql-src-libs
	pkgdesc = Libraries for use with PostgreSQL
	depends = krb5
	depends = openssl>=1.0.0
	depends = readline>=6.0
	provides = postgresql-client
	provides = postgresql-libs
	conflicts = postgresql-client
	conflicts = postgresql-libs

pkgname = postgresql-src-docs
	pkgdesc = HTML documentation for PostgreSQL
	provides = postgresql-docs
	conflicts = postgresql-docs
	options = docs

pkgname = postgresql-src
	pkgdesc = A sophisticated object-relational DBMS (from source, LTO enabled)
	install = postgresql.install
	depends = postgresql-src-libs>=10.1
	depends = krb5
	depends = readline>=6.0
	depends = openssl>=1.0.0
	depends = pam
	optdepends = python: for PL/Python support
	optdepends = perl: for PL/Perl support
	optdepends = tcl: for PL/Tcl support
	optdepends = postgresql-old-upgrade: upgrade from previous major version using pg_upgrade
	provides = postgresql
	conflicts = postgresql
	options = staticlibs
	backup = etc/pam.d/postgresql
	backup = etc/logrotate.d/postgresql